Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ExternalTextureSource::CmdPlayMode Class Reference

`#include <OgreExternalTextureSource.h>`

Inheritance diagram for Ogre::ExternalTextureSource::CmdPlayMode:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Member Function Documentation

String Ogre::ExternalTextureSource::CmdPlayMode::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 109 of file OgreExternalTextureSource.cpp. References Ogre::eTexturePlayMode, Ogre::String, Ogre::TextureEffectPause, Ogre::TextureEffectPlay_ASAP, and Ogre::TextureEffectPlay_Looping.

void Ogre::ExternalTextureSource::CmdPlayMode::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 132 of file OgreExternalTextureSource.cpp. References Ogre::eTexturePlayMode, Ogre::String, Ogre::TextureEffectPause, Ogre::TextureEffectPlay_ASAP, and Ogre::TextureEffectPlay_Looping.

The documentation for this class was generated from the following files:

- OgreExternalTextureSource.h
- OgreExternalTextureSource.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:57 2004